## r-cran-pdftools 2.3

=== DESCRIPTION ===
Package: pdftools
Type: Package
Title: Text Extraction, Rendering and Converting of PDF Documents
Version: 2.3
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289"))
Description: Utilities based on 'libpoppler' for extracting text, fonts, attachments and 
    metadata from a PDF file. Also supports high quality rendering of PDF documents into
    PNG, JPEG, TIFF format, or into raw bitmap vectors for further processing in R.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/pdftools (website)
        https://github.com/ropensci/pdftools#readme (devel)
        https://poppler.freedesktop.org (upstream)
BugReports: https://github.com/ropensci/pdftools/issues
SystemRequirements: Poppler C++ API: libpoppler-cpp-dev (deb) or
        poppler-cpp-devel (rpm). The unit tests also require the
        'poppler-data' package (rpm/deb)
Encoding: UTF-8
Imports: Rcpp (>= 0.12.12), qpdf
LinkingTo: Rcpp
Suggests: jpeg, png, webp, tesseract, testthat
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-11-09 15:06:11 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-11-10 06:30:03 UTC

## r-cran-pdftools 2.2

=== debian/changelog ===
r-cran-pdftools (2.2-1) unstable; urgency=medium

  * Initial release (closes: #933243)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jul 2019 05:36:51 +0200

=== debian/control ===
Source: r-cran-pdftools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.12),
               r-cran-qpdf,
               libpoppler-cpp-dev,
               poppler-data
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
Homepage: https://cran.r-project.org/package=pdftools

Package: r-cran-pdftools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R text extraction, rendering and converting of PDF documents
 Utilities based on 'libpoppler' for extracting text, fonts, attachments
 and metadata from a PDF file. Also supports high quality rendering of
 PDF documents into PNG, JPEG, TIFF format, or into raw bitmap vectors
 for further processing in R.

## r-cran-pdftools 2.3

=== debian/changelog ===
r-cran-pdftools (2.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:24 +0100

r-cran-pdftools (2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 10:06:17 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-qpdf,
                libpoppler-cpp-dev,
                poppler-data
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
 Homepage: https://cran.r-project.org/package=pdftools

## r-cran-pdftools 2.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pdftools
 Type: Package
 Title: Text Extraction, Rendering and Converting of PDF Documents
-Version: 2.3
+Version: 2.3.1
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Utilities based on 'libpoppler' for extracting text, fonts, attachments and 
@@ -19,10 +19,10 @@
 Imports: Rcpp (>= 0.12.12), qpdf
 LinkingTo: Rcpp
 Suggests: jpeg, png, webp, tesseract, testthat
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 NeedsCompilation: yes
-Packaged: 2019-11-09 15:06:11 UTC; jeroen
+Packaged: 2020-05-22 10:47:28 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2019-11-10 06:30:03 UTC
+Date/Publication: 2020-05-22 12:00:02 UTC

=== debian/changelog ===
r-cran-pdftools (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 15:18:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.12),
                r-cran-qpdf,
                libpoppler-cpp-dev,
                poppler-data
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
 Homepage: https://cran.r-project.org/package=pdftools
+Rules-Requires-Root: no
 
 Package: r-cran-pdftools
 Architecture: any

## r-cran-pdftools 3.1.0

=== DESCRIPTION ===
Package: pdftools
Type: Package
Title: Text Extraction, Rendering and Converting of PDF Documents
Version: 3.1.0
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289"))
Description: Utilities based on 'libpoppler' for extracting text, fonts, attachments and 
    metadata from a PDF file. Also supports high quality rendering of PDF documents into
    PNG, JPEG, TIFF format, or into raw bitmap vectors for further processing in R.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/pdftools/ (website)
        https://github.com/ropensci/pdftools#readme (devel)
        https://poppler.freedesktop.org (upstream)
BugReports: https://github.com/ropensci/pdftools/issues
SystemRequirements: Poppler C++ API: libpoppler-cpp-dev (deb) or
        poppler-cpp-devel (rpm). The unit tests also require the
        'poppler-data' package (rpm/deb)
Encoding: UTF-8
Imports: Rcpp (>= 0.12.12), qpdf
LinkingTo: Rcpp
Suggests: png, webp, tesseract, testthat
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2022-02-16 15:48:23 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-02-16 16:40:02 UTC

=== debian/changelog ===
r-cran-pdftools (3.1.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.1.0

 -- Nilesh Patra <nilesh@debian.org>  Thu, 17 Feb 2022 22:45:01 +0530

r-cran-pdftools (3.0.1-2) unstable; urgency=medium

  * Team Upload.
  * Add test-dep on poppler-data (Closes: #998287)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 09 Nov 2021 02:38:56 +0530

r-cran-pdftools (3.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:00:29 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-qpdf,
                libpoppler-cpp-dev,
                poppler-data
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
 Homepage: https://cran.r-project.org/package=pdftools

## r-cran-pdftools 3.3.0

=== debian/changelog ===
r-cran-pdftools (3.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 07:27:38 +0200

r-cran-pdftools (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.1

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 May 2022 08:46:25 +0530

r-cran-pdftools (3.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 11:29:24 +0200

r-cran-pdftools (3.1.1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Disable reprotest

  [ Andreas Tille ]
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 07:21:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.12),
+               r-cran-rcpp,
                r-cran-qpdf,
                libpoppler-cpp-dev,
                poppler-data
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
 Homepage: https://cran.r-project.org/package=pdftools

## r-cran-pdftools 3.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pdftools
 Type: Package
 Title: Text Extraction, Rendering and Converting of PDF Documents
-Version: 3.1.0
+Version: 3.3.3
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Utilities based on 'libpoppler' for extracting text, fonts, attachments and 
@@ -13,16 +13,15 @@
         https://poppler.freedesktop.org (upstream)
 BugReports: https://github.com/ropensci/pdftools/issues
 SystemRequirements: Poppler C++ API: libpoppler-cpp-dev (deb) or
-        poppler-cpp-devel (rpm). The unit tests also require the
-        'poppler-data' package (rpm/deb)
+        poppler-cpp-devel (rpm), and poppler-data (rpm/deb) package.
 Encoding: UTF-8
 Imports: Rcpp (>= 0.12.12), qpdf
 LinkingTo: Rcpp
 Suggests: png, webp, tesseract, testthat
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2022-02-16 15:48:23 UTC; jeroen
+Packaged: 2023-02-07 12:31:50 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-02-16 16:40:02 UTC
+Date/Publication: 2023-02-07 13:02:31 UTC

=== debian/changelog ===
r-cran-pdftools (3.3.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:58:35 +0100

r-cran-pdftools (3.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 11:36:23 +0100

r-cran-pdftools (3.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 20:56:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-qpdf,
                libpoppler-cpp-dev,
                poppler-data
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
 Homepage: https://cran.r-project.org/package=pdftools

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, poppler-data
Restrictions: allow-stderr

## r-cran-pdftools 3.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pdftools
 Type: Package
 Title: Text Extraction, Rendering and Converting of PDF Documents
-Version: 3.3.3
+Version: 3.4.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Utilities based on 'libpoppler' for extracting text, fonts, attachments and 
@@ -18,10 +18,10 @@
 Imports: Rcpp (>= 0.12.12), qpdf
 LinkingTo: Rcpp
 Suggests: png, webp, tesseract, testthat
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-02-07 12:31:50 UTC; jeroen
+Packaged: 2023-09-25 17:25:18 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-02-07 13:02:31 UTC
+Date/Publication: 2023-09-25 20:00:09 UTC

=== debian/changelog ===
r-cran-pdftools (3.4.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:26:15 +1100

r-cran-pdftools (3.4.0-1build1) noble; urgency=medium

  * No-change rebuild against libpoppler-cpp0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 17:14:06 +1300

r-cran-pdftools (3.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Oct 2023 08:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-pdftools
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

## r-cran-pdftools 3.4.1

=== debian/changelog ===
r-cran-pdftools (3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 10:44:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-pdftools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -12,7 +11,7 @@
                r-cran-qpdf,
                libpoppler-cpp-dev,
                poppler-data
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
 Homepage: https://cran.r-project.org/package=pdftools

## r-cran-pdftools 3.5.0

=== DESCRIPTION ===
Package: pdftools
Type: Package
Title: Text Extraction, Rendering and Converting of PDF Documents
Version: 3.5.0
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
      comment = c(ORCID = "0000-0002-4035-0289"))
Description: Utilities based on 'libpoppler' <https://poppler.freedesktop.org> for extracting
    text, fonts, attachments and metadata from a PDF file. Also supports high quality rendering
    of PDF documents into PNG, JPEG, TIFF format, or into raw bitmap vectors for further 
    processing in R.
License: MIT + file LICENSE
URL: https://ropensci.r-universe.dev/pdftools,
        https://docs.ropensci.org/pdftools/
BugReports: https://github.com/ropensci/pdftools/issues
SystemRequirements: Poppler C++ API: libpoppler-cpp-dev (deb) or
        poppler-cpp-devel (rpm), and poppler-data (rpm/deb) package.
Encoding: UTF-8
Imports: Rcpp (>= 0.12.12), qpdf
LinkingTo: Rcpp
Suggests: png, webp, tesseract, testthat
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2025-03-03 13:55:55 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-03 15:10:05 UTC

=== debian/changelog ===
r-cran-pdftools (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 15:17:10 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-qpdf,
                libpoppler-cpp-dev,
                poppler-data
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pdftools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pdftools.git
 Homepage: https://cran.r-project.org/package=pdftools

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-png,
        r-cran-testthat,
        poppler-data
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pdftools_([-\d.]*)\.tar\.gz

## r-cran-pdftools 3.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pdftools
 Type: Package
 Title: Text Extraction, Rendering and Converting of PDF Documents
-Version: 3.5.0
+Version: 3.7.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
       comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Utilities based on 'libpoppler' <https://poppler.freedesktop.org> for extracting
@@ -18,10 +18,10 @@
 Imports: Rcpp (>= 0.12.12), qpdf
 LinkingTo: Rcpp
 Suggests: png, webp, tesseract, testthat
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2025-03-03 13:55:55 UTC; jeroen
-Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
+Packaged: 2026-01-30 13:32:35 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-03-03 15:10:05 UTC
+Date/Publication: 2026-01-30 14:20:02 UTC

=== debian/changelog ===
r-cran-pdftools (3.7.0-1build1) resolute; urgency=medium

  * No-change rebuild for poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 12:52:12 +0000

r-cran-pdftools (3.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 10:26:17 +0900

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-png,
 r-cran-testthat,
 poppler-data,
